@font-face {
    font-family: 'Normafixed Tryout';
    font-style: normal;
    font-weight: normal;
    src: local('Normafixed Tryout'), url('NORMT___.woff') format('woff');
    }

:root{
 --n:#E3A275;    
 --nc:#e28a3799;
 --v:#96a49b;
 --g: #D9D9D9;
}

*{
    scroll-behavior: smooth
}

*{
    margin: 0;
    padding: 0;
}

html {  
    font-family: 'Normafixed Tryout', Arial, Helvetica, sans-serif;
    font-size: 1.3rem;
}

body{
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

::-webkit-scrollbar{
    width: 9px;
}

::-webkit-scrollbar-thumb{
    background-color: var(--v);
    
}

::-webkit-scrollbar-track{
    background-color:#33333317;
}

/*---W A P P---*/
.whatsapp {
    position: fixed;
    width: 56px;
    height: 56px;
    bottom: 30px;
    right: 30px;
    background-color: #3bab21;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    z-index: 2;
}
.whatsapp-icon {
    margin-top: 13px;
}
i.fa.fa-whatsapp.whatsapp-icon {
    color: white;
}

/*---N A V E G A D O R---*/

header {
    position: fixed;
    z-index: 4;
    width: 100%;
    height: 85px;
    background-color: #ffffff;
}

.navegador {
    justify-content: center;
    align-items: center;
    display: flex; 
    margin: auto;
    width: 85%;
    height: 100%;
}

#logo{ 
    height: 100%;
    width: 25%;
    display: flex;
    align-items: center;
    justify-content: flex-start;    
}

#logo img{
    height: 70%;
}

.nav-links{
    display: flex;
    height: 100%;
    width: 50%;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.icons{
    display: flex;
    height: 100%;
    align-items: center;
    gap: 30px;
    width: 25%;
    justify-content: flex-end;
    font-size: 0.8rem;
}

li{
    list-style: none;
}

a{
    cursor: pointer;
    text-decoration: none;
    color: var(--v);
}

a:hover {
    color: var(--n);
    text-decoration: underline;
    text-underline-offset: 5px;
    cursor: pointer;
}

.burger{
    z-index: 1;
    display: none;
    flex-direction: column;
    margin-right:10px;
}

.burger:hover{
    cursor: pointer;
}

.carrito {
    display: flex;
    margin-right: -12px;
}

.contador {
    height: 12px;
    width: 12px;
    position: relative;
    top: -11px;
    right: 6px;
}

input#cont-prod {
    width: 100%;
    height: 100%;
    border: 1px solid var(--v);
    border-radius: 50px;
    background-color: white;
    font-family: monospace;
    color: var(--n);
    text-align: -webkit-center;
}

.burger div {
    display: flex;
    width: 25px;
    height: 2px;
    background: var(--v);
    margin: 3px;
    transition: all 0.5s ease;
}

.buscador-bar {
    display: flex;
    align-items: center;
}

.buscador-bar .buscador-categorias{
    display: none;
}

.buscador:hover .buscador-bar .buscador-categorias{
    display: flex;
    width: 180px;
    height: 39px;
    padding: 0;
    margin-left: 10px;
    position: absolute;
    top: 52px;
    right: 7.5%;
    background: white;
    border-radius: 0;
    border: 2px solid var(--v);
}

/*---C A R R I T O  N A V---*/


.carrito-nav-contenedor{
    display: none;
    position: fixed;
    top: 0;
    right:-650px;
    
    
}
.carrito-nav-contenedor-active{
    z-index: 2;
    display: flex;
    WIDTH: 30%;
    height: 100%;
    flex-direction: column;
    position: fixed;
    top: 0px;
    right: 0;
    background-color: white;
    box-shadow: 0 1px 10px 0 rgb(0 0 0 / 27%);
    padding: 20px;
    gap: 15px;
    color: var(--v);    
    animation: right-to-left  linear forwards;
    
}

@keyframes right-to-left{
    from {
        transform: translateX(100%);
    }
    to {
        transform: translateX(0);
    }
}

.cerrar{
    width: 100%;
    display: flex;
    justify-content: center;
    color: var(--v);
    cursor: pointer;
}
.prod-agregado {
    width: 100%;
    display: flex;
    flex-direction: initial;
}

li.prod-agregado-item {
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 33px;
}

.izq {
    display: flex;
    flex-direction: initial;
    align-items: center;
    width: fit-content;
    gap: 5px;
}

img.prod-agregado-nombre {
    height: 77px;
}

.drc {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: space-around;
    font-family: 'Montserrat';
    width: fit-content;
    font-size: 2vh;
}

.carrito-resumen {
    display: flex;
    font-family: 'Montserrat';
    font-size: 2vh;
    justify-content: space-between;
    border-top: 1px solid #e28a376b;
    padding-top: 15px;
}

p.carrito-subtotal-valor {
    color: var(--n);
    font-weight: 600;
    letter-spacing: 1px;
}

button.carrito-boton {
    width: 100%;
    margin: auto;
    border: none;
    background-color: var(--n);
    font-family: 'Montserrat';
    color: white;
    letter-spacing: 1px;
    height: 29px;
}


@keyframes navLinkFade {
    from {
        opacity: 0;
        transform: translateY(0);
    }
    to {
        opacity: 1;
        transform: translateY(50px);
    }
}

.toggle .line1 {
    transform: rotate(-45deg) translate(-5px, 6px);
    background: white;
}

.toggle .line2 {
    opacity: 0;
}

.toggle .line3 {
    transform: rotate(45deg) translate(-5px, -6px);
    background: white;
}

@media (max-width: 1000px){
    .nav-links{
        position: fixed;
        justify-content: flex-end;
        top: 0;
        height: auto;
        padding-bottom: 32px;
        background: var(--v);
        flex-direction: column;
        width: 85%;
        transform: translateY(-400px);
        transition: All 0.5s ease-in;
    }
    .nav-links a{
        opacity: 0;
    }
    .nav-active{
        z-index: 1;
        display: flex;
        justify-content: flex-start;
        padding: 10% 0 5%;
        transform: translateX(0);
    }
    .nav-active a{
        color: #D9D9D9;
        text-decoration: none;
    }
    .nav-active li:hover{
        text-align: center;
        display: inline-block;
        width: 100%;
        background-color: #809f9ad0;
        
    }
    .burger{
        width: 30%;
        display: flex;
        position: relative;
        justify-content: center;
        align-items: center;
    }
    .navegador{
        justify-content: space-evenly ;
    }

}
@media(max-width: 625px){
    .icons{
        gap:18px;
    }
    .burger{
        align-items: end;
    }
    .nav-links{
        justify-content: center;
        right: 0;
        width: 40%;
        height: 100%;
        transform: translateX(100%);
    }
    .nav-active{
        transform: translateX(0);
    }
    @keyframes navLinkFade {
        from {
            opacity: 0;
            transform: translateX(50px);
        }
        to {
            opacity: 1;
            transform: translateX(0);
        }
    }
    .carrito:hover .carrito-nav-contenedor  {
        right: unset;
    }
    .carrito-nav-contenedor-active{
        width: 60%;
    }
}
@media(max-width: 500px){
    #logo img {
        height: 60%;
    }
    .nav-links{
        width: 50%;
    }
    .carrito:hover .carrito-nav-contenedor {
        min-width: 80%;
        right: 20px;
    }
    .carrito-nav-contenedor-active{
        width: 90%;
    }
}

/*---B A N N E R---*/

#banner {
    height: 48vh;
    width: 75%;
    margin: auto;
    display: flex;
    margin-top: 85px;
}

.img {
    height: 100%;
    justify-content: center;
    width: 100%;
    background-color: var(--v);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.boton-banner{
    width: 228px;
    height: 55px;
    top: 137px;
    left: 767px;
    border-radius: 10px;
    border: 1px solid white;
    background-color: var(--n);
    color: white;
    font-size: 1.2rem;
    font-family: 'Normafixed Tryout';
    align-self: center;
}

.a-boton{
    color: #ffffff;
}

.a-boton:hover{
    text-decoration: none;
    color: #ffffff;
    cursor: pointer;
}

.boton-banner:hover{
    background-color: var(--nc);
    border: none;
    cursor: pointer;
}

@media (max-width: 1000px){
    #banner {
        width: 85%;
        height: 90vh;
    }
    .img{
        background-image: url(Lustro_Plama.jpg);
        background-position: center;
        background-size: cover;
    }
    .tx{
        min-width: 0;
        width: 80%;
        right: 10%;
    }
    .tx p:first-child{
        font-size: 10vw;
    }
    .tx p{
        font-size: 6vw;
    }   
}

@media (max-width: 625px){
    #banner{
        height: 95vh;
        width: 85%;
        margin: auto;    
    }
    img.tituloimg {
        height: auto;
        width: -webkit-fill-available;
    }
    
}

/*---D E S T A C A D O S---*/

.salto{
    height: 35px;
}

.destacados {
    height: 700px;
    width: 75%;
    margin: auto;   
}

.titulo{
    width: 30%;
    height: 50%;
    margin-top: 3%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    transition: 0.5s ease;
}

.titulo img{
    width: 90%;
    height: auto;
}

.boton-populares {
    margin-top: 10px;
    height: 40px;
    width: 123px;
    background-color: var(--v);
    font-family: 'Montserrat';
    font-size: 2vh;
    border: 1px solid var(--v);
    border-radius: 10px;
}

.boton-populares:hover{
    background-color: var(--n);
    border: none;
}

.inf{
    display: none;
}

.container-carrusel{
    width: 100%;
    height: 50%;
    background-color: #33333317;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 15px;
}

.carrusel{
    width: 95%;
    height: 85%;
    overflow: auto;
    overflow-y: hidden;
    cursor: grab;
    display: flex;
}

.tarj{
    height: 95%;
    justify-content: center;
    margin: 0 30px 0 0px ; 
    border: 2px solid white;  
}

.tarj-img{
    height: 100%;
}

.carrusel img{
    height: 100%;   
}

.tarj-descripcion{
    align-items: center;
    width: 100%;
    height: 25%;
    background-color: #99a39af2;
    position: relative;
    bottom: 67px;
    border-radius: 0 85px 0 0;
    display: flex;
    flex-direction: revert;
}

.tarj-descripcion .contenedor-desc {
    height: 99%;
    width: 90%;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    display: flex;
    flex-direction: initial;
}

.simple{
    color: #ffffff;
    font-family: 'Montserrat', sans-serif;
    font-weight: 200;
}

.nombre{
    font-size: 3.5vh;
    font-family: inherit;  
}

.agregar{
    background-color: var(--n);
    border: none;
    font-family: 'Montserrat';
    font-size: 1.6vh;
    letter-spacing: 1px;
    width: 95px;
    height: 25px;
    align-self: center;
    border-radius: 5px;
    margin-top: 5px;
}

.valor {
    font-size: 2.2vh;
    font-weight: 200;
}

.carrusel::-webkit-scrollbar{
    height: 4px;
}

.carrusel::-webkit-scrollbar-thumb{
    background-color: var(--n);
    border-radius: 50px;
}

.carrusel::-webkit-scrollbar-track{
    background-color:#e3a27585;
    border-radius: 50px;
}

.container-sale{
    width: 100%;
    height: 35%;
    margin: 20px 0;
}

.container-sale img{
    height: 100%;
    z-index: 1;
    object-fit: cover;
    object-position: right;
}

.sale{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    
}

.img-sale {
    height: 100%;
    z-index: 1;
}

.a-sale {
    height: 32%;
    width: 85%;
    background: transparent;
    position: absolute;
    z-index: 3;
    cursor: pointer;
}

.background-sale{
    height: 100%;
    width: 100%;
    margin-left: -145px;
    background-image: url(bk-sale.jpg);
    background-position: center;
    background-size: cover;
}

@media (max-width: 1315px){
   .container-sale img{
    height: inherit;
    width: 100%;
   }
}

@media (max-width: 1000px){
    .destacados{
        width: 85%;
    }
    .titulo{
        width: 85%;
        height: 13%;
        margin: 0;
        padding-bottom: 20px;
        display: flex;
        flex-direction: initial;
        justify-content: flex-start;
        align-items: center;
    }
    .titulo img{
        width:auto;
        height: 100%;
        object-fit: contain;  
    }
    .boton-populares{
        position: absolute;
        right: 20%;
        margin: 0;
    }
    .container-carrusel{
        height: 65%;
        margin-top: 42px;
        flex-direction: column;
    }
    .carrusel{
        height: 65%;
        width: 85%;
    }
    .tarj-descripcion{
        width: 90%;
    }
    .container-sale{
        height: 25%;
    }
}

@media (max-width: 625px){
    .titulo{
        height: 11%;
    }
    .titulo img{
        width: auto;
        height: 100%;  
    }
    .sup{
        display: none;
    }
    .inf{
        display: block;
    }
    .boton-populares{
        margin: 15px 0 0;
        position: unset;
    }
    .container-sale{
        height: auto;
    }
    .container-sale img{
        object-fit: contain;
        object-position: top;
    }
    
}

/*---C A T E G P R I A S---*/

.categorias{
    height: 90vh;
    width: 75%;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center; 
    margin-top:-30px;
}

.titulo-cat{
    width: 100%;
    height: 20%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.titulo-cat img{
    width: 100%;
    height: fit-content;
}

.container-buscador {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    height: 70%;
    align-items: flex-start;
}

.conteiner-categorias{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    flex-direction:row;
    justify-content: center;
}

.nav-categorias{
    height: 90%;
    width: 20%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.buscador-categorias{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2%;
    height: 30px;
    width: 70%;
    background-color: #33333317 ;
    border-radius: 5px;
}

.buscador-categorias input{
    width: 100%;
    margin-left: 15px;
    border: none;
    font-family: inherit;
    font-size: 1em;
    background-color: transparent;
}

input:focus {
    outline:none;
}

.buscador-categorias .fa-solid, .fas{
    margin-left: 5px;
    color: var(--n);
}

.lista-categorias{
    width: 65%;
    height: 40%;
    display: flex;
    margin-left: 20px;
}

.lista-categorias.mb{
    display: none;
}

.lista-categorias li{
    margin-bottom: 15px;
    color: var(--v);
}

.lista-categorias li:hover{
    color: #ffffff;
    background-color: var(--v);
}

.lista-categorias.mb {
    margin:20px auto;        
    border:1px solid #d9d9d9;
    height:30px;
    width: 230px;
    overflow: hidden;
    position:relative;
    border: none;
}

.boton-categorias{
    height: 40px;
    width: 70%;
    background-color: var(--nc);
    font-family: 'Montserrat';
    font-size: 1.8vh;
    border: none;
    border-radius: 10px;
}

.boton-categorias:hover{
    background-color: var(--n);
}

.productos-categoria{
    width: 80%;
    height: 90%;
    display: grid;
    overflow: auto;
}

.prod-categoria {
    display: grid;
    grid-template-columns: repeat(auto-fill, 300px);
    gap: 1% 4%;
    justify-content: center;
    align-items: center;
}

.prod-categoria .tarj {
    height: auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    margin: 0;
    background-color: #f7f7f7;
    border: none;
    -webkit-box-shadow: 0 2px 2px 0 rgba(50, 50, 50, 0.15);
    padding: 5px 0;
}

.tarj-img-categorias {
    height: 72%;
}

.prod-categoria img{
    width: -webkit-fill-available;
    height: auto;
    object-fit: contain;
}

.contenedor-desc--categorias {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.txt-categorias {
    width: 90%;
    display: flex;
    FLEX-DIRECTION: column;
    justify-content: space-evenly;
    align-items: center;
    color: #96a49b;
    font-size: 2vh;
}

.txt-categorias p {
    FONT-FAMILY: 'open sans';
    font-weight: 200;
    text-transform: uppercase;
    letter-spacing: 1px;
}
.txt-categorias .nombre{
    font-size: 2vh;
}

.txt-categorias .valor{
    font-weight: 400;
}

.contenedor-desc--categorias .agregar{
    font-size: 1.2vh;
    width: 50%;
    border-radius: 0;
}

@media (max-width: 1680px){
    .buscador-categorias, .boton-categorias{
        width: 100%;
    }
}

@media (max-width: 1300px){
    .categorias, #banner, .destacados{
        width: 85%;
    }
}

@media (max-width: 1000px){
    .categorias {
        height: 95vh;
        width: 85%;
    }
    .buscador-categorias, .boton-categorias {
        width: 80%;
    }
    .conteiner-categorias{
        flex-direction:column;
    }
    .nav-categorias{
        flex-direction: row;
        width: 90%;
        height: 20%;
        align-items: center;
        justify-content: center;
    }
   .dt{
        display: none;
    }
    .titulo-cat {
        width: 50%;
        height: 50%;
        justify-content: center;
        align-items: center;
    }
    .container-buscador {
        margin-left: 0;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    .lista-categorias.mb{
        display: flex;
        justify-content: center;
        align-items: center;
        position: static;
        margin: 0;
    }
    .lista-categorias.mb p{
        color: #E3A275;
    }
    .li-categorias {
        display: none;
        flex-direction: column;
        justify-content: flex-end;
        position: absolute;
        height: 285px;
        width: 181px;
        margin-top: 262px;
        align-items: center;
        z-index: 1;
        background: linear-gradient(transparent 10%, #ffffff 10% 100% );
        -webkit-box-shadow: 0 4px 10px 0 rgba(50, 50, 50, 0.15);
    }
    .lista-categorias.mb:hover .li-categorias {
        display: flex;
     }
    .li-categorias:hover .li-categorias {
        display: inline-flex;
        width: 100%;
        align-items: center;
        justify-content: center;
     }
    .productos-categoria {
        width: 100%;
        height: 80%;
        display: block;
        overflow: unset;
    }
    
}

@media (max-width: 805px){
    .prod-categoria{
        grid-template-columns: 50% 50%;
    }
}

@media (max-width: 625px){
    #categorias {
        height: 75px;
        margin-top: -145px;
    }
    .categorias {
        margin-top: 0;
        height: fit-content;
    }
    .conteiner-categorias{
        height: 100%;
    }
    .nav-categorias{
        flex-direction: column;
        align-items: center;
        width: 100%;
        height: 190px;
        justify-content: space-around;
        margin-bottom: 20px;
    }
    .container-buscador{
        height: 45%;
        justify-content: space-between;
    }
    .titulo-cat {
        width: fit-content;
        width: 80%;
    }
    .buscador-categorias {
        width: 70%;
    }
}
@media (max-width: 465px){
   
    #categorias {
        height: 50px;
        margin-top: -145px;
    } 
}
@media (max-width: 450px){
   
    #categorias {
        height: 40px;
        margin-top: -145px;
    } 
}

@media (max-width: 400px){
   
    #categorias {
        height: 20px;
        margin-top: -145px;
    } 
}

@media (max-width: 350px){
   
    #categorias {
        height: 0px;
        margin-top: -145px;
    } 
}

/* P O P U P */
.pop-up-w{
    display: none;
    position: fixed;
}
.pop-up-w-active {
    display:flex;
    z-index: 3;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    justify-content: center;
    background: #ffffff99;
}

.popup-container {
    background: #f7f7f7;
    border: none;
    -webkit-box-shadow: 0 2px 2px 0 rgba(50, 50, 50, 0.15);
    width: min-content;
    height: 60%;
    margin: auto;
    display: flex;
    flex-direction: revert;
}

.prod-imagen {
    height: 100%;
    width: 60%;
    display: flex;
}

.prod-imagen img {
    height: -webkit-fill-available;
    width: -webkit-fill-available;
    object-fit: cover;
}

.prod-descripcion {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    padding: 30px;
}

span.span-descripcion {
    display: flex;
    gap: 20px;
    flex-direction: column;
}

span.cant-prod {
    display: flex;
    height: 45px;
    margin-top: 30px;
}

.cant-prod div{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 15px;
}

p.precio {
    font-size: 2.5vh;
}
p.precio, .prod-descripcion {
    font-family: 'Montserrat';
    
}

.cant-prod input[type="number"] {
    width: 15%;
    height: 20px;
    border: 1px solid #BBB;
    border-color: #BBB #ECECEC #ECECEC #BBB;
    padding: 0.2rem;
    padding-left: 15px;
    width: 42px;
    font-family: 'FontAwesome';
}

.pop-up {
    width: 200px;
    margin: 0;
    height: 100%;

}

input[type="number"]::-webkit-outer-spin-button, 
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    background: #FFF url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAkAAAAJCAYAAADgkQYQAAAAKUlEQVQYlWNgwAT/sYhhKPiPT+F/LJgEsHv37v+EMGkmkuImoh2NoQAANlcun/q4OoYAAAAASUVORK5CYII=) no-repeat center center;
    width: 1em;
    border-left: 1px solid #BBB;
    opacity: .5; /* shows Spin Buttons per default (Chrome >= 39) */
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
}
input[type="number"]::-webkit-inner-spin-button:hover,
input[type="number"]::-webkit-inner-spin-button:active{
    box-shadow: 0 0 2px var(--n);
    opacity: .8;
}

/* Override browser form filling */
input:-webkit-autofill {
    background: black;
    color: red;
}

@media (max-width: 944px) {

    .popup-container {
        margin-top: 100px;
    width: 85%;
    height: 80%;
    overflow-x: hidden;
    align-items: center;
    flex-direction: column-reverse;
    }

    span.span-descripcion{
        padding: 0 28px;
    }

    .prod-imagen {
        width: 100%;
        height: 50%;
        justify-content: center;
    }

    .prod-imagen img {
        height: 100%;
    }

    .cant-prod {
        justify-content: center;
    }
    .cant-prod div {
        justify-content: center;
    }
    .pop-up{
        width: 258px;
        margin: 0;
        height: 100%;
    }
}

